org.codehaus.plexus.component.composition

## Interface ComponentComposer

All Known Implementing Classes:
  AbstractComponentComposer, FieldComponentComposer, MapOrientedComponentComposer, NoOpComponentComposer, SetterComponentComposer

    public interface ComponentComposer

Version:
  $Revision: 1323 $
Author:
  Michal Maczka

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`List` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`
`String` `getId()`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### getId

    String getId()

#### assembleComponent

    List assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)
                           throws CompositionException,
                                  UndefinedComponentComposerException

Parameters:
  `component` -
  `componentDescriptor` -
  `container` -
Returns:
  List of ComponentDescriptors which were used by ComponentComposer
Throws:
  `CompositionException`
  `UndefinedComponentComposerException`